Name:           pngquant
Version:        2.15.1
Release:        %mkrel 1
Summary:        PNG quantization tool for reducing image file size
Group:		    Graphics
License:        GPLv3+

URL:            https://pngquant.org
Source0:        https://github.com/pornel/%{name}/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  lcms2-devel
BuildRequires:  imagequant-devel


%description
pngquant converts 24/32-bit RGBA PNG images to 8-bit palette with alpha channel
preserved.  Such images are compatible with all modern web browsers and a
compatibility setting is available to help transparency degrade well in
Internet Explorer 6.  Quantized files are often 40-70 percent smaller than
their 24/32-bit version. pngquant uses the median cut algorithm.

%prep
%setup -q
%apply_patches

%build
# add some speed-relevant compiler-flags
export CFLAGS="%{optflags} -fno-math-errno -funroll-loops -fomit-frame-pointer -fPIC"
%configure2_5x --with-libimagequant
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Jul 18 2021 tex - 2.15.1-1pclos2021
- new version

* Sat Apr 24 2021 tex - 2.14.1-1pclos2021
- new version
